%define oname   compass

Name:       ruby-%{oname}
Version:    0.12.2
Release:    %mkrel 5
Summary:    CSS Generator
License:    GPLv2+
Group:      Development/Ruby
URL:        http://haml-lang.com/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Sass makes CSS fun again. Sass is an extension of CSS3, adding nested rules,
variables, mixins, selector inheritance, and more. It's translated to
well-formatted, standard CSS using the command line tool or a web-framework
plugin.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build -f^VERSION

%install
%gem_install

cp -fr features frameworks %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}

rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/.yardoc

%files
%{_bindir}/compass
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/features
%{ruby_gemdir}/gems/%{oname}-%{version}/frameworks
%{ruby_gemdir}/gems/%{oname}-%{version}/VERSION*
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Tue Apr 23 2013 fwang <fwang> 0.12.2-5.mga3
+ Revision: 411019
- install features too
- install frameworks dir, so that frameworks could be recognized

* Fri Feb 08 2013 umeabot <umeabot> 0.12.2-4.mga3
+ Revision: 395787
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.12.2-3.mga3
+ Revision: 380724
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.12.2-2.mga3
+ Revision: 312780
- rebuild for new ruby

* Mon Aug 06 2012 shlomif <shlomif> 0.12.2-1.mga3
+ Revision: 279476
- imported package ruby-compass

